#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 topograph
version:              1.0.0.1
visibility:           public
id:                   topograph-1.0.0.1-MkzJH6GSfECJVoF4ltg44
key:                  topograph-1.0.0.1-MkzJH6GSfECJVoF4ltg44
license:              BSD-3-Clause
copyright:            (c) 2018-2019 Oleg Grenrus
maintainer:           Oleg.Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
homepage:             https://github.com/phadej/topograph
synopsis:             Directed acyclic graphs.
description:
    Directed acyclic graphs can be sorted topographically.
    Existence of topographic ordering allows writing many graph algorithms efficiently.
    And many graphs, e.g. most dependency graphs are acyclic!

    There are some algorithms built-in: dfs, transpose, transitive closure,
    transitive reduction...
    Some algorithms even become not-so-hard to implement, like a longest path!

category:             Data, Graph
abi:                  b376823acfeb77ef8e1ecc5ab1cc7292
exposed:              True
exposed-modules:      Topograph
import-dirs:          /usr/lib/ghc-9.0.2/site-local/topograph-1.0.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/topograph-1.0.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.2/topograph-1.0.0.1
hs-libraries:         HStopograph-1.0.0.1-MkzJH6GSfECJVoF4ltg44
depends:
    base-4.15.1.0 base-compat-0.12.0-At5rtEWccPdHHWueoNKXDb
    base-orphans-0.8.6-INwJc044rMLKbu1Fc81fJ5 containers-0.6.4.1
    vector-0.12.3.1-3D3Ad9qttllIejNhiZMcEI

haddock-interfaces:   /usr/share/doc/haskell-topograph/html/topograph.haddock
haddock-html:         /usr/share/doc/haskell-topograph/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

